########
########
from twisted.internet import reactor
from txosc import osc
from txosc import dispatch
from txosc import async
########
########

from pyfirmata import Arduino, util

board = Arduino('/dev/ttyUSB0')


def commande_moteur(message, address):

    data = message.getValues()[0]

    if (data == 0) : board.digital[8].write(0)
    if (data == 1) : board.digital[8].write(1)
    if (data == 2) : board.digital[11].write(0)
    if (data == 3) : board.digital[11].write(1)   


class UDPReceiverApplication(object):
    """
    Example that receives UDP OSC messages.
    """
    def __init__(self, port):
        self.port = port
        self.receiver = dispatch.Receiver()
        self._server_port = reactor.listenUDP(self.port, async.DatagramServerProtocol(self.receiver))
        print("J'ecoucoute le poport {0}. C'est chouette.".format(self.port))
        print("Maintenant, il faut cliquer dans les cacases de Puredata.".format(self.port))
        self.receiver.addCallback("/moteur", commande_moteur)

if __name__ == "__main__":

    app = UDPReceiverApplication(5000)
    reactor.run()


